__gnu_pbds::basic_invalidation_guarantee Struct Reference
Extensions » Policy-Based Data Structures » Tags » Invalidation Guarantees

`#include <tag_and_trait.hpp>`

Inheritance diagram for __gnu_pbds::basic_invalidation_guarantee:
[legend]

## Detailed Description

Signifies a basic invalidation guarantee that any iterator, pointer, or reference to a container object's mapped value type is valid as long as the container is not modified.

Definition at line 93 of file tag_and_trait.hpp.

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp